<?php
declare(strict_types=1);

namespace Flat101\EnhancedEcommerce\Factory;

use Flat101\EnhancedEcommerce\Model\Handler\ImpressionHandlerInterface;

interface ImpressionHandlerFactoryInterface
{
    public function create(string $impressionName, array $data = []): ?ImpressionHandlerInterface;
}
